/*
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 * Copyright 2012-2019 the original author or authors.
 */
package org.assertj.core.api.float_;

import org.assertj.core.api.FloatAssert;
import org.assertj.core.api.FloatAssertBaseTest;

import static org.mockito.Mockito.verify;


/**
 * Tests for <code>{@link FloatAssert#isBetween(Float, Float)}</code>.
 * 
 * @author William Delanoue
 */
public class FloatAssert_isBetween_Floats_Test extends FloatAssertBaseTest {

  @Override
  protected FloatAssert invoke_api_method() {
    return assertions.isBetween(6f, 8f);
  }

  @Override
  protected void verify_internal_effects() {
    verify(floats).assertIsBetween(getInfo(assertions), getActual(assertions), 6f, 8f);
  }
}
